Viewing Issue Advanced Details Jump to Notes ] cps2.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03564 Graphics Minor Always Dec 4, 2009, 15:17 Feb 9, 2012, 22:17
Tester Iaspis View Status Public Platform MAME (Official Binary)
Assigned To Resolution Fixed OS Windows Vista/7 (64-bit)
Status [?] Resolved   Driver cps2.cpp
Version 0.135u2 Fixed in Version 0.144u2 Build Normal
Summary 03564: Many sets in cps2.c: Graphical glitches in various cps2 games test menu
Description Example / Original report for 19xx: There is a small glitch when the coin option is selected and you alter it's value, that prevents the value of coins / credits being displayed. You can tell something is wrong by the occasional flickering or the partial yellow letters in that line. When you select another option in that menu the line gets fixed and it's displayed correctly.
Steps To Reproduce For 19xx glitch: F2 in-game, select Configuration, select System and alter the value of the Coin option
Additional Information There's a cps2 source change in 0.127u1 that could be causing it, but this needs confirmation:

"Derived CPS2/CPS3 video timing based on measurements. These are
educated guesses. The logic behind the derivations is shown in the
source. [Aaron Giles]"

Problems seen in:
19xx
batcir
cybots
gigawing
Flags
Regression Version 0.127u1
Affected Sets / Systems Many sets in cps2.c
Attached Files
png file icon 0000.png (3,548 bytes)  Dec 5, 2009, 17:25

png file icon 0001.png (3,506 bytes)  Dec 17, 2009, 19:36

png file icon cybotstest.png (3,303 bytes)  Jan 1, 2010, 23:17

png file icon batcir_snap.png (4,731 bytes)  Jan 4, 2010, 11:54

- Relationships
related to 03682Confirmed gigawing and clones: Graphics error on title screen on word "CREDIT XX" 

-  Notes
User avatar
No.05266
Iaspis
(Tester)
Dec 13, 2009, 15:59
I checked this further and found that it first appeared in 0.127u1 (it was ok before that).
In the 'Source Changes' of the whatsnew.txt for 0.127u1 it says:

"Derived CPS2/CPS3 video timing based on measurements. These are
educated guesses. The logic behind the derivations is shown in the
source. [Aaron Giles]"

I'm not sure if this is relevant though. I hope it helps.
User avatar
No.05287
Iaspis
(Tester)
Dec 17, 2009, 19:40
It also happens in configuration-game-extend (7-2) when you alter the extend value. Snap uploaded.
I wonder if this should be considered a graphical bug, since the glitched options still work as they should be.
User avatar
No.05288
Tafoid
(Administrator)
Dec 17, 2009, 19:50
Yeah, sounds completely reasonable to change it.
User avatar
No.05320
Kold666
(Developer)
Dec 27, 2009, 16:03
I am quite sure I have seen this glitch on an EURO original Dungeons and dragons.
Also the glitch which happens in mame when you insert a coin happens on the pcb too...

Unfortunately I have only jap versions cps2 and the glitches are not present like on mame.
User avatar
No.05322
Tafoid
(Administrator)
Dec 27, 2009, 16:38
Some original (non-phoenixed) PCB tests would be great to narrow down if this is supposed to happen or not.
User avatar
No.05385
Iaspis
(Tester)
Jan 4, 2010, 11:54
Entry and snap for batcir added.
User avatar
No.06524
Iaspis
(Tester)
Aug 10, 2010, 09:56
As expected, still happens in 0.139. Just out of curiosity, has anyone by any chance tested an original PCB about this?
User avatar
No.08167
Iaspis
(Tester)
Feb 9, 2012, 17:03
this one seems to have been fixed now
User avatar
No.08171
Tafoid
(Administrator)
Feb 9, 2012, 22:17
edited on: Feb 10, 2012, 13:29
Confirmed fixed by testing a few listed games and determined fixed version.